<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addfirewall_plan_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addfirewall_plan_theme(){

global $theme, $globals, $kernel, $user, $l, $info, $error, $done, $protocol_array, $temp_plan;

softheader($l['<title>']);

error_handle($error);

if(!empty($done)){
	show_alert($l['done'] ,"0" ,"firewall_plans");
}

echo '
<script type="text/javascript" charset="utf8" src="'.$theme['url'].'/js2/jquery.dataTables.min.js"></script>';

echo page_header($l['addfirewall_plan'], 'fas fa-fire-alt', $globals['docs'].'firewall-plans/', 0, 0, '');

$breadcrumbs = ['dashboard', 'lm_firewall_plans', 'lms_addfirewall_plan'];

echo get_breadcrumb($breadcrumbs);
				
echo '
	<div class="card p-2 mx-3">

	<script type="text/javascript">

	$(document).ready(function(){

		//$(".select2").select2();
		if (!$.fn.DataTable.isDataTable( "#managerules")) {

			$("#managerules").DataTable({
				sorting :false,
				paging: false,
				info: false,
				ordering : false,
				searching : false,
				"language": {
					"emptyTable": "'.$l['no_rules'].'"
				},
				"columnDefs": [
					{ className: "width-2", "targets": [ 0 ] },
					{ className: "width-8", "targets": [ 1 ] },
					{ className: "width-10", "targets": [ 2, 4 ] },
					{ className: "width-15", "targets": [ 5, 6 ] },
					{ className: "width-20", "targets": [ 7 ] },
					{ className: "width-11", "targets": [ 3 ] },
					{ className: "width-9", "targets": [ 8 ] }
				],
				"fnDrawCallback" : function(){
					$("#managerules thead").remove();
					rows = $("#managerules").DataTable().rows().nodes();
					rows_length = rows.length;
					if(!empty(rows_length)){
		
						$.each(rows, function(index){
							$("td:first", this).html(index + 1);
						});

						$("#firewall_reset").show();
		
					}else{
						$("#firewall_reset").hide();
					}
		
				}
			});
		
		}else{
		
			$("#managerules").DataTable().clear().draw();
		
		}';

	if(!empty($temp_plan)){

		$rules = $temp_plan;
		
		echo '
		rules ='.json_encode($rules).';
		let html = " ";
		if(!empty(rules)){

			let firewallplan_table = $("#managerules").DataTable();

			rules.forEach((item, index) => {
				rule = item.split(" ");
				
				//console.table(item)
				let row_count = index;
				let ip_type = rule[0];
				let direction_val = rule[1];
				let decision_val = rule[2];
				let protocol_val = rule[3];
				let sport_num = rule[4];
				let dport_num = rule[5];
				let src_addr = rule[6];

				firewallplan_table.row.add(
					["",
					"<input type=\"hidden\" name=\"direction[]\" value=\""+direction_val+"\" />"+direction_val,
					"<input type=\"hidden\" name=\"ip[]\" value=\""+ip_type+"\" />"+ip_type,
					"<input type=\"hidden\" name=\"decision[]\" value=\""+decision_val+"\" />"+decision_val, 
					"<input type=\"hidden\" name=\"protocol[]\" value=\""+protocol_val+"\" />"+protocol_val, 
					"<input type=\"hidden\" name=\"sport[]\" value=\""+sport_num+"\" />"+sport_num,
					"<input type=\"hidden\" name=\"dport[]\" value=\""+dport_num+"\" />"+dport_num, 
					"<input type=\"hidden\" name=\"source_addr[]\" value=\""+src_addr+"\" />"+src_addr, 
					"<i class=\"fa fa-lg fa-trash-alt delete-fix\" onclick=\"delete_rule(this);\"></i>"]
				).draw();
		
			});
		}
		';
	}

echo '
	});

	function addfirewallrule(){

		let protocol = $("#protocol").val();
		let direction = $("#direction").val();
		let iptype = "";
		let protocol_val = $("#protocol_firewall").val();
		let protocol_display = $("#protocol_firewall option:selected").html();
		let direction_val = $("#direction").val();
		let direction_display = $("#direction option:selected").html();
		let decision_val = $("#decision").val();
		let decision_display = $("#decision option:selected").html();
		let tcp_array = ["http", "tcp", "https", "mysql", "postgresql", "rdp"];
		let udp_array = ["udp", "dnsudp"];
		let firewallplan_table = $("#managerules").DataTable();
		
		if(protocol == 0){
			showalert("'.$l['no_protocol'].'", 1);
			return false;
		}
		
		if(direction == 0){
			showalert("'.$l['need_direction'].'", 1);
			return false;
		}
		
		if($("#port").val() == "" && !(protocol == "icmp" || protocol == "gre" || protocol == "esp") ){
			showalert("'.$l['empty_port'].'", 1);
			return false;
		}

		if($("#source_addr").val() == ""){
			showalert("'.$l['empty_source_addr'].'", 1);
			return false;
		}

		if($("#iptype").val() == 4){
			iptype = "IPv4";
		}else{
			iptype = "IPv6";
		}

		if(tcp_array.indexOf(protocol_val) != -1){
			protocol_display = "TCP";
			protocol_val = "tcp";
		}

		if(udp_array.indexOf(protocol_val) != -1){
			protocol_display = "UDP";
			protocol_val = "udp";
		}

		if(protocol == 0 && "#source_addr".val() == "" && $("#port").val() == "" && !(protocol == "icmp" || protocol == "gre" || protocol == "esp" && direction == 0)){
			$("#firewall_submit").hide();
		}else{
			$("#firewall_submit").show();
		}

		firewallplan_table.row.add(
			["",
			"<input type=\"hidden\" name=\"direction[]\" value=\""+direction_val+"\" />"+direction_display, 
			"<input type=\"hidden\" name=\"ip[]\" value=\""+$("#iptype").val()+"\" />"+iptype,
			"<input type=\"hidden\" name=\"decision[]\" value=\""+decision_val+"\" />"+decision_display,
			"<input type=\"hidden\" name=\"protocol[]\" value=\""+protocol_val+"\" />"+protocol_display, 
			"<input type=\"hidden\" name=\"sport[]\" value=\""+$("#sport").val()+"\" />"+$("#sport").val(),
			"<input type=\"hidden\" name=\"dport[]\" value=\""+$("#dport").val()+"\" />"+$("#dport").val(), 
			"<input type=\"hidden\" name=\"source_addr[]\" value=\""+$("#source_addr").val()+"\" />"+$("#source_addr").val(), 
			"<i class=\"fa fa-trash-alt delete-fix\" onclick=\"delete_rule(this);\"></i>"]
		).draw();

	}

	function delete_rule(element){
		
		let table = $("#managerules").DataTable();
		table.row($(element).parents("tr")).remove().draw();
		
	}

	function source_update(element){
				
		if($(element).val() == "anywhere"){

			$("#source_addr").attr("disabled", "disabled");

			if($("#iptype").val() == 4){

				$("#source_addr").val("0.0.0.0/0");

			}else{

				$("#source_addr").val("::/0");
			}
		}else{

			$("#source_addr").removeAttr("disabled");

			$("#source_addr").val("");
		}
	}

	function hide_down(){
		$("#default_row").nextAll().remove();
		$("#port").val("");
		$("#managerules").DataTable().clear().draw();
	}

	</script>


<form accept-charset="UTF-8" id="addfirewallform" action="" method="post" name="addfirewall" class="form-horizontal">
	<div class="row mx-auto px-3">
	<div class="col-sm-12 px-3 pt-2 pb-3">
	<div class="row px-3">
		<div class="col-6 p-0">
			<div class="row">
				<div class="col-md-6 py-2 my-auto">
					<div class="row">
						<div class="col-md-12 pr-0">
							<label for="fwp_name" class="control-label d-inline-block mr-1 font-500">'.$l['fwp_name'].'</label>
							<span class="info-text" tooltip="'.$l['fwp_name_desp'].'"><i class="fas text-primary fa-info-circle" aria-hidden="true"></i></span>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="my-auto py-2">
						<input type="text" class="form-control" id="fwp_name" name="fwp_name" value="'.POSTval('fwp_name','').'" />
					</div>
				</div>
			</div>
			<!-- <div class="row py-2">
				<div class="col-md-6 my-auto">
					<div class="row">
						<div class="col-md-12 pr-0">
							<label for="fwp_allow_enduser" class="control-label d-inline-block mr-1 font-500">'.$l['fwp_allow_enduser'].'</label>
							<span class="info-text" tooltip="'.$l['fwp_allow_enduser_desp'].'"><i class="fas text-primary fa-info-circle" aria-hidden="true"></i></span>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="row mx-0 w-100 my-auto">
						<div class="min_width">
						<span style="text-align: top;">
						'.get_checkbox('fwp_allow_enduser', '', 'fwp_allow_enduser').'
						</span>
						</div>
					</div>
				</div>
			</div>-->
			<div class="row py-2">
				<div class="col-md-6 my-auto">
					<div class="row">
						<div class="col-md-12 pr-0">
							<label for="admin_default" class="control-label d-inline-block mr-1 font-500">'.$l['admin_default'].'</label>
							<span class="info-text" tooltip="'.$l['admin_default_desc'].'"><i class="fas text-primary fa-info-circle" aria-hidden="true"></i></span>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="row mx-0 w-100 my-auto">
						<div class="min_width">
						<span style="text-align: top;">
						'.get_checkbox('admin_default', '', 'admin_default').'
						</span>
						</div>
					</div>
				</div>
			</div>
			<div class="row py-2">
				<div class="col-md-6 my-auto">
					<div class="row">
						<div class="col-md-12 pr-0">
							<label for="default_policy" class="control-label d-inline-block mr-1 font-500">'.$l['default_policy'].'</label>
							<span class="info-text" tooltip="'.$l['default_policy_desc'].'"><i class="fas text-primary fa-info-circle" aria-hidden="true"></i></span>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="row mx-0 w-100 my-auto">
						<span style="text-align: top;">
							<select name="default_policy" class="select2 custom-select">
								<option value="0">'.$l['drop'].'</option>
								<option value="1">'.$l['accept'].'</option>
							</select>
						</span>
					</div>
				</div>
			</div>
		</div>
		</div>
		</div>
		<div class="row mx-auto px-3">
			<div class="col-sm-12 px-3 py-3">
				<table class="table tablesorter w-100 mb-0" id="addfirewall_rules" >
					<thead>
						<tr>
							<th> '.$l['direction'].'</th>
							<th> '.$l['iptype'].'</th>
							<th> '.$l['decision'].'</th>
							<th> '.$l['protocol'].'</th>
							<th> '.$l['sport'].' <span class="info-text my-2" tooltip="'.$l['sport_exp'].'"><i class="fas fa-info-circle" aria-hidden="true"></i></span></th>
							<th> '.$l['dport'].' <span class="info-text my-2" tooltip="'.$l['dport_exp'].'"><i class="fas fa-info-circle" aria-hidden="true"></i></span></th>
							<th> '.$l['source'].' <span class="info-text my-2" tooltip="'.$l['source_exp'].'"><i class="fas fa-info-circle" aria-hidden="true"></i></span></th>
							<th> '.$l['action'].'</th>
						</tr>
					</thead>
					<tbody>
						<tr id="default_row">
							<td class="width-10">
								<select class="form-control mx-auto select-medium" id ="direction">
									<option value= "IN">'.$l['in'].'</option>
									<option value = "OUT">'.$l['out'].'</option></select>
							</td>
							<td class="width-10">
								<select class="form-control mx-auto select-medium" id ="iptype">
								<option value = "4">'.$l['ipv4'].'</option></select>	
							</td>
							<td class="width-11">
								<select class="form-control mx-auto select-medium" id ="decision">
									<option value="ACCEPT">'.$l['accept'].'</option>
									<option value="DROP">'.$l['drop'].'</option>
								</select>	
							</td>
							<td class="width-10">
								
								<select class="virt-select mx-auto custom-select" onchange="protocol_check(this.value);" id="protocol_firewall"name ="protocol_firewall">';
				
								foreach($protocol_array as $k ){
									echo '<option value="'.$k.'" >'.$k.'</option>';
								}
				
								echo '</select>
								
							</td>
							<td class="width-15">
								<input type="text" class="form-control mx-auto" id="sport" style="text-transform: uppercase;" placeholder="'.$l['port_placeholder'].'"/>
							</td>
							<td class="width-15">
								<input type="text" class="form-control mx-auto" id="dport" style="text-transform: uppercase;" placeholder="'.$l['port_placeholder'].'"/>
							</td>
							<td class="width-20">
								<input type="text" class="form-control mx-auto" id="source_addr" placeholder="0.0.0.0/0" />
							</td>
							<td class="text-center" class="width-9">
								<a href="javascript:void(0);" onclick = "addfirewallrule()"><i class="fa fa-2x fa-plus-circle"></i> </a>
							</td>
						</tr>
					</tbody>
				</table>
				<table id ="managerules" class="table">
					<thead class="thead-dark">
						<tr>
							<th> '.$l['srno'].'</th>
							<th> '.$l['iptype'].' </th>
							<th> '.$l['direction'].' </th>
							<th> '.$l['decision'].' </th>
							<th> '.$l['protocol'].' </th>
							<th> '.$l['sport'].' </th>
							<th> '.$l['dport'].' </th>
							<th> '.$l['ip'].' </th>
							<th> '.$l['action'].' </th>
						</tr>
					</thead>
				</table>
			</div>
		</div>

		<div class="mx-auto px-2 d-flex align-items-center justify-content-center mb-3">
			<div>
				<input type="hidden" name="svs" id="firewall_vpsid" value="">
				<input type="hidden" name="save_firewall" id="save_firewall" value="1">
				<button type="submit" id="firewall_submit" class="go_btn button-fix  border-0 mx-1"><i class="fas pr-2 fa-plus"></i>'.$l['save'].'</button>
				<button type="reset" id="firewall_reset" class="go_btn button-fix bg-danger border-0 mx-1" onclick="hide_down();"><i class="fas pr-2 fa-redo"></i>'.$l['reset'].'</button>
			</div>
		</div>
		<div class="row mx-auto px-3">
			<div class="col-sm-12 px-3 py-3">
				<div class="row px-3">
						<div class="col-12 rounded px-4 py-3 description-shadow info_card">
							<div class="row">
								<div class="col-12 py-2 border-bottom"><h6>'.$l['note'].'</h6>
								</div>
							</div>
							<div class="row">
								<div class="col-6 py-2">
									<div class="font-600">'.$l['direction'].'
									</div>
									<div>'.$l['direction_info'].'
									</div>
								</div>
								<div class="col-6 py-2">
									<div class="font-600">'.$l['iptype'].'
									</div>
									<div>'.$l['iptype_info'].'
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-6 py-2">
									<div class="font-600">'.$l['decision'].'
									</div>
									<div>'.$l['decision_info'].'
									</div>
								</div>
								<div class="col-6 py-2">
									<div class="font-600">'.$l['protocol'].'
									</div>
									<div>'.$l['protocol_info'].'
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-6 py-2">
									<div class="font-600">'.$l['sport'].'
									</div>
									<div>'.$l['sport_info'].'
									</div>
								</div>
								<div class="col-6 py-2">
									<div class="font-600">'.$l['dport'].'
									</div>
									<div>'.$l['dport_info'].'
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-6 py-2">
									<div class="font-600">'.$l['source'].'
									</div>
									<div>'.$l['source_info'].'
									</div>
								</div>
								<div class="col-6 py-2">
								</div>
							</div>
						</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>
';

softfooter();

}

?>