<?php

//////////////////////////////////////////////////////////////
//===========================================================
// edituser_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function edituser_theme(){

global $theme, $globals, $kernel, $users, $l, $error, $done, $mgs, $servergroups, $dnsplans, $user_plans, $acls, $SESS;

softheader($l['<title>']);

echo page_header($l['edit_user'], 'fas fa-users', '', 0, 0, '');

$breadcrumbs = array('dashboard', 'lm_users', 'edit_user');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo '<script language="javascript" type="text/javascript">
var chk_flag = 0;
function changepriority(priority){
	$_("io_0").className = "col-4 py-1 io";
	$_("io_1").className = "col-4 py-1 io";
	$_("io_2").className = "col-4 py-1 io";
	
	if (priority != ""){
		$_("io_"+priority).className = "col-4 py-1 io_over";
		$_("prior").value = priority;
	}
	
	if(priority == 1){
		$("#tr_acl").show();
	}else{
		$("#tr_acl").hide();
	}
	
	if(priority != 2){
		if($("#inhouse_billing").prop("checked")){
			chk_flag = 1;
			$("#inhouse_billing").trigger("click");
		}
	}
	if(priority == 2){
		if(chk_flag){
			chk_flag = 0;
			$("#inhouse_billing").trigger("click");
		}
	}

	$(".cloudfield").each(function(){
		if(priority == 2){
			$(this).css("display","flex");
		}else{
			$(this).hide();
		}
	});';
	if(!empty($globals['inhouse_billing'])){
		echo '
		update_userplan();
		update_max_cost();';
	}
	echo '
};

// Update the media groups when selected
function updatemg(){	

	$("#mg option").each(function(){
	try{
		if(!$_($(this).attr("type")).checked){
			$(this).attr("disabled","disabled");
		}else{
			$(this).attr("disabled", false);
		}
	}catch(e){}
	});

}

// Update the userplans
function update_userplan(){	
	
	var current_user_type = $_("prior").value;
	
	$("#uplid option").each(function(){
	try{
		if($(this).attr("type") == current_user_type || $(this).attr("type") == -1){
			$(this).show();
		}else{
			$(this).hide();
		}
	}catch(e){}
	});

}

// Load the userplans
function load_userplan(){		

	var url = "'.$globals['index'].'act=edituser_plans&api=json&uplid="+$("#uplid").val();
	
	// Load the details and also update the fields
	$.getJSON(url, function(data, textStatus, jqXHR) {
		
		$plan = data["user_plans"];
		
		$.each($plan, function( index, value ){
			
			if(index == "mgs"){
				
				var i = 0;
				var size = value.length;
				$options = $("#mg option");
				$("#mg option:selected").removeAttr("selected");
				for(i; i < size; i++){
					// filter the options with the specific value and select them
					if(value[i] != ""){
						$options.filter("[value="+value[i]+"]").prop("selected", true);
					}
				}
				
			}else if(index == "allowed_virts"){
				
				$("#allowed_virts option").each(function(){
					$(this).removeAttr("selected");
				});
				
				$("#allowed_virts option").each(function(){
				try{
					
					var _val = $(this).attr("value");
					for(x in value){
						if(value[x] == _val){
							$(this).attr("selected", "selected");
						}
					}
					
				}catch(e){}
				});
				
			}else{
				
				var ele = $("#edituser").find("[name="+ index +"]");
				
				if(empty(ele)){
					return;
				}
				
				// Set the value
				ele.val(value);
				
				if(ele.attr("type") == "checkbox"){
					if(!empty(value)){
						ele[0].checked = true;
					}else{
						ele[0].checked = false;
					}
				}

				update_max_cost();
			}
		});

	});
	
}

function update_max_cost(){
	
	try{
	
	// Show max cost field
	if($_("inhouse_billing").checked){
		$("#max_cost_row").show();
		//$("#resources_edit").hide();
	}else{
		$("#max_cost_row").hide();
		//$("#resources_edit").show();
	}
	
	}catch(e){}
	
}

addonload("changepriority(\''.POSTval('priority', $users['type']).'\'); updatemg();");
</script>
<style>
input[type="text"]{
	width:90%;
	float:left;
}
input[type="password"]{
	width:90%;
	float:left;
}

.sideLabel label{
	padding:8px;
	float:left;
}
</style>
<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" name="edituser" id="edituser" method="post" action="" class="form-horizontal">

		<div class="row mx-auto w-100 my-3 border-bottom">
			<div class="col-sm-4">
				<label class="control-label">'.$l['usertype'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['typeofuser'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6">
				<input type="hidden" id="prior" name="priority" value="'.POSTval('priority', $users['type']).'">
				<div class="row mx-auto w-100">
					<div id="io_0" class="col-4 py-1 io"><a href="javascript:changepriority(\'0\');"><i class="fas fa-user text-dark"></i> '.$l['user_0'].'</a></div>
					<div id="io_2" class="col-4 py-1 io"><a href="javascript:changepriority(\'2\');"><i class="fas fa-user-shield text-dark"></i> '.$l['user_2'].'</a></div>
					<div id="io_1" class="col-4 py-1 io"><a href="javascript:changepriority(\'1\');"><i class="fas fa-user-tie text-dark"></i> '.$l['user_1'].'</a></div>
				</div>
			</div>
			<div class="col-sm-2 d-flex align-items-center">
				<a href="https://'.$globals['HTTP_HOST'].':4083/'.$SESS['token_key'].'/index.php?suid='.$users['uid'].'" target="_blank"><i class="fas fa-external-link-alt"></i></a>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['new_email'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['change_email'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			<input type="text" class="form-control w-100" name="newemail" id="newemail" size="30" value="'.POSTval('newemail', $users['email']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['new_pass'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['changepass'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			<input type="password" class="form-control w-100" name="newpass" id="newpass" size="30" value="" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['fname'].'</label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control w-100" name="fname" size="30" value="'.POSTval('fname', $users['preferences']['fname']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['lname'].'</label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control w-100" name="lname" size="30" value="'.POSTval('lname', $users['preferences']['lname']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3" id="tr_acl">
			<div class="col-sm-4">
				<label class="control-label">'.$l['acl_plan'].'</label>
			</div>
			<div class="col-sm-4">
				<select class="custom-select w-100 virt-select select2-hidden-accessible" name="acl_id">
				<option value="0" '.ex_POSTselect('acl_id', 0, $users['aclid']).'>'.$l['no_acl'].'</option>';
				foreach($acls as $k => $v){
					echo '<option value="'.$v['aclid'].'" '.ex_POSTselect('acl_id', $v['aclid'], $users['aclid']).'>'.$v['acl_name'].'</option>';
				}
		echo '</select>
		<span class="help-block"></span>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['dns_plan'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['dnsplan_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<select class="custom-select w-100 virt-select select2-hidden-accessible" name="dnsplan_id">
				<option value="0" '.ex_POSTselect('dnsplan_id', 0, $users['dnsplid']).'>'.$l['no_plan'].'</option>';
				foreach($dnsplans as $k => $v){
					echo '<option value="'.$v['dnsplid'].'" '.ex_POSTselect('dnsplan_id', $v['dnsplid'], $users['dnsplid']).'>'.$v['plan_name'].'</option>';
				}
		echo '</select>
			</div>
		</div>';
		if(!empty($globals['inhouse_billing'])){
		echo '
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['user_plans'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['user_plans_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<select class="custom-select w-100 virt-select select2-hidden-accessible" id="uplid" name="uplid" onchange="load_userplan()">
				<option value="0" type="-1" '.ex_POSTselect('uplid', 0, $users['uplid']).'>'.$l['no_plan'].'</option>';
				foreach($user_plans as $k => $v){
					echo '<option value="'.$v['uplid'].'" type="'.$v['type'].'" '.ex_POSTselect('uplid', $v['uplid'], $users['uplid']).'>'.$v['plan_name'].'</option>';
				}
				echo '
				</select>
			</div>
		</div>';
		}

		echo '<div class="row mx-auto w-100 my-3 cloudfield" id="num_vs_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['num_vs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['num_vs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			<input type="number" class="form-control" name="num_vs" id="num_vs" size="15" value="'.POSTval('num_vs', $users['num_vs']).'" />
			</div>
		</div>
		';

		if(!empty($globals['inhouse_billing'])){
			
		echo '
		<div class="row mx-auto w-100 my-3 cloudfield" id="inhouse_billing_row">
			<div class="col-4">
				<label class="control-label">'.$l['inhouse_billing'].'&nbsp;<a class="info" data-placement="right" tooltip="'.htmlizer($l['inhouse_billing_exp']).'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				<a href="'.$globals['docs'].'Virtualizor_Billing" target="_blank">'.$l['refer_this'].'</a>
			</div>
			<div class="col-4">
				'.get_checkbox('inhouse_billing', '', 'inhouse_billing', array('chk_it' => 1, 'val' => $users['inhouse_billing']), 1, '', array('onchange="update_max_cost()"')).'
			</div>
		</div>

		<div class="row mx-auto w-100 my-3 cloudfield" id="max_cost_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['max_cost'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['max_cost_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="number" class="form-control" name="max_cost" id="max_cost" size="15" value="'.POSTval('max_cost', $users['max_cost']).'" />
			</div>
		</div>';

		}

		echo '
		<div id="resources_edit">
			<div class="row mx-auto w-100 my-3 cloudfield" id="num_users_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['num_users'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['num_users_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="num_users" id="num_users" size="15" value="'.POSTval('num_users', $users['num_users']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="space_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['space'].'</label>
				</div>
				<div class="col-sm-4 sideLabel">
					<div class="input-group ">
						<input type="number" class="form-control rounded" name="space" id="space" size="15" value="'.POSTval('space', $users['space']).'" />
						<div class="input-group-append">
							<span class="input-group-text">GB</span>
						</div>
					</div>
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="ram_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['ram'].'</label>
					<span class="help-block"></span>
				</div>
				<div class="col-sm-4 sideLabel">
					<div class="input-group ">
						<input type="number" class="form-control" name="ram" id="ram" size="15" value="'.POSTval('ram', $users['ram']).'" />
						<div class="input-group-append">
							<span class="input-group-text">MB</span>
						</div>
					</div>
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="burst_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['burst'].'</label>
					<span class="help-block"></span>
				</div>
				<div class="col-sm-4 sideLabel">
					<div class="input-group ">
							<input type="number" class="form-control rounded" name="burst" id="burst" size="15" value="'.POSTval('burst', $users['burst']).'" />
						<div class="input-group-append">
						<span class="input-group-text">MB</span>
						</div>
					</div>
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="bandwidth_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['bandwidth'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['bandwidth_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4 sideLabel">
					<div class="input-group ">
						<input type="number" class="form-control rounded" name="bandwidth" id="bandwidth" size="15" value="'.POSTval('bandwidth', $users['bandwidth']).'" />
						<div class="input-group-append">
							<span class="input-group-text">GB</span>
						</div>
					</div>
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="cpu_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['cpu'].'</label>
					<span class="help-block"></span>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="cpu" id="cpu" size="15" value="'.POSTval('cpu', $users['cpu']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="cores_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['cores'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cores_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="cores" id="cores" size="15" value="'.POSTval('cores', $users['cores']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="space_per_vm_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['space_per_vm'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['space_per_vm_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4">
					<input type="number" class="form-control" name="space_per_vm" id="space_per_vm" size="15" value="'.POSTval('space_per_vm', $users['space_per_vm']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="cpu_percent_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['cpu_percent'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cpu_percent_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="cpu_percent" id="cpu_percent" size="15" value="'.POSTval('cpu_percent', $users['cpu_percent']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="num_cores_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['num_cores'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['num_cores_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="num_cores" id="num_cores" size="15" value="'.POSTval('num_cores', $users['num_cores']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="num_ipv4_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['num_ipv4'].'</label>
					<span class="help-block"></span>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="num_ipv4" id="num_ipv4" size="15" value="'.POSTval('num_ipv4', $users['num_ipv4']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="num_ipint_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['num_ip_int'].'</label>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="num_ip_int" id="num_ip_int" size="15" value="'.POSTval('num_ip_int', $users['num_ip_int']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="num_ipv6_subnet_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['num_ipv6_subnet'].'</label>
					<span class="help-block"></span>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="num_ipv6_subnet" id="num_ipv6_subnet" size="15" value="'.POSTval('num_ipv6_subnet', $users['num_ipv6_subnet']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="num_ipv6_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['num_ipv6'].'</label>
					<span class="help-block"></span>
				</div>
				<div class="col-sm-4">
				<input type="number" class="form-control" name="num_ipv6" id="num_ipv6" size="15" value="'.POSTval('num_ipv6', $users['num_ipv6']).'" />
				</div>
			</div>

			<script type="text/javascript">
			function netspeed(r){
				$_("network_speed").value = r;
			}
			function upspeed(r){
				$_("upload_speed").value = r;
			}
			</script>';

			$network_speed_values = array(128 => 1, 256 => 2, 384 => 3, 512 => 4, 640 => 5, 768 => 6, 896 => 7, 1024 => 8, 1152 => 9, 1280 => 10, 1920 => 15, 2560 => 20, 3849 => 30, 5120 => 40, 6400 => 50, 7680 => 60, 8960 => 70, 10240 => 80, 11520 => 90, 12800 => 100, 128000 => 1000, 1280000 => 10000);

		echo '
			<div class="row mx-auto w-100 my-3 cloudfield" id="network_speed_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['network_speed'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['network_speed_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4 sideLabel">
					<div class="input-group " >
						<input type="number" class="form-control rounded" name="network_speed" id="network_speed" size="8" value="'.POSTval('network_speed', $users['network_speed']).'" /> 
						<div class="input-group-append">
							<label class="p-2">'.$l['net_kb'].'</label>
							<select class="custom-select w-100" name="network_speed2" id="network_speed2" onchange="netspeed(this.value)">
								<option value="0" selected="selected">'.$l['no_limit'].'</option>';
								foreach($network_speed_values as $k => $v){
									echo '<option value="'.$k.'">'.$k.' KB/s </option>';
								}
								echo '
							</select>
						</div>
					</div>
				</div>
			</div>

			<div class="row mx-auto w-100 my-3 cloudfield" id="upload_speed_row">
				<div class="col-sm-4">
					<label class="control-label">'.$l['upload_speed'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['upload_speed_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4 sideLabel">
					<div class="input-group " >
						<input type="number" class="form-control rounded" name="upload_speed" id="upload_speed" size="8" value="'.POSTval('upload_speed', $users['upload_speed']).'"/>	  
						<div class="input-group-append">
							<label class="p-2">'.$l['net_kb'].'</label>
							<select class="custom-select w-100" name="upload_speed2" id="upload_speed2" onchange="upspeed(this.value)">
								<option value="0" selected="selected">'.$l['no_limit'].'</option>';
								foreach($network_speed_values as $k => $v){
								echo '<option value="'.$k.'">'.$k.' KB/s </option>';
								}
								echo '
							</select>						
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 cloudfield" id="total_iops_sec_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['total_iops_sec'].'</label>
			</div>

			<div class="col-sm-4 sideLabel">
				<div class="input-group ">
					<input type="number" class="form-control" name="total_iops_sec" id="total_iops_sec" size="15" value="'.POSTval('total_iops_sec', $users['total_iops_sec']).'" />
					<div class="input-group-append">
						<span class="input-group-text">M/s</span>
					</div>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3 cloudfield" id="read_bytes_sec_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['read_bytes_sec'].'</label>
			</div>
			<div class="col-sm-4 sideLabel">
				<div class="input-group ">
					<input type="number" class="form-control" name="read_bytes_sec" id="read_bytes_sec" size="15" value="'.POSTval('read_bytes_sec', $users['read_bytes_sec']).'" />
					<div class="input-group-append">
						<span class="input-group-text">M/s</span>
					</div>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3 cloudfield" id="write_bytes_sec_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['write_bytes_sec'].'</label>
			</div>
			<div class="col-sm-4 sideLabel">
				<div class="input-group ">
					<input type="number" class="form-control" name="write_bytes_sec" id="write_bytes_sec" size="15" value="'.POSTval('write_bytes_sec', $users['write_bytes_sec']).'" />
					<div class="input-group-append">
						<span class="input-group-text">M/s</span>
					</div>
				</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 cloudfield" id="band_suspend">
			<div class="col-4">
				<label class="control-label">'.$l['band_suspend'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['band_suspend_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-4">
				'.get_checkbox('band_suspend', '', 'ck_band_sus', array('chk_it' => 1, 'val' => $users['band_suspend'])).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 cloudfield" id="service_period">
			<div class="col-sm-4">
				<label class="control-label">'.$l['service_period'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['service_period_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="number" class="form-control w-25" min="0" max="31" id="txt_service_period" name="service_period" value="'.POSTval('service_period', $users['service_period']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3 cloudfield" id="allowed_virts_row">
			<div class="col-xs-10 col-sm-4">	
				<label class="control-label">'.$l['allowed_virts'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['allowed_virts_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-xs-2 col-sm-4">
				<select class="form-control w-100" id="allowed_virts" multiple="multiple" name="allowed_virts[]" onchange="updatemg()">';
				foreach($globals['virts'] as $k => $v){
					echo '<option value="'.$v.'" '.(@in_array($k, (empty($_POST['allowed_virts']) ? $users['allowed_virts'] : @$_POST['allowed_virts'])) ? 'selected="selected"' : '').'>'.$l['virt_'.$k].'</option>';
				}
				echo '
				</select>
				<span class="help-block"></span>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3 cloudfield" id="sg_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sg'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sg_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<select class="form-control w-100" name="sgs[]" multiple="multiple">';
					
					foreach($servergroups as $sk => $sv){
						echo '<option value="'.$sk.'" '.(in_array($sk, (empty($_POST['edituser']) ? $users['sg'] : @$_POST['sgs'])) ? 'selected="selected"' : '').'>'.$sv['sg_name'].'</option>';
					}
					
				echo '</select>
				<span class="help-block"></span>
			</div>
		</div>';
			
		if(!empty($globals['premium_apps'])){
			echo '
				<div id="premium_apps_cb" class="row mx-auto w-100 my-3 cloudfield">
					<div class="col-4">
						<label class="control-label">'.$l['premium_apps_plan'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['premium_apps_plan_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-4">
						'.get_checkbox('webuzo_prem_apps', '', 'webuzo_prem_apps', array('chk_it' => 1, 'val' => $users['webuzo_prem_apps'])).'
					</div>
				</div>';
		}
			
		echo '
		<div class="row mx-auto w-100 my-3 cloudfield" id="mg_row">
			<div class="col-sm-4">
				<label class="control-label">'.$l['mg'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mg_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<select class="form-control w-100" name="mgs[]" id="mg" multiple="multiple">';
					
					foreach($mgs as $mk => $mv){
						echo '<option value="'.$mk.'" type="'.$mv['mg_type'].'" '.(in_array($mk, (empty($_POST['edituser']) ? $users['mg'] : @$_POST['mgs'])) ? 'selected="selected"' : '').'>'.$mv['mg_name'].'</option>';
					}
					
				echo '</select>
			</div>
		</div>

		<span class="help-block"></span>
		<center><input type="submit" name="edituser" value="'.$l['sub_but'].'" class="go_btn"></center>
	</form>
</div>';

softfooter();

}
