<?php

//////////////////////////////////////////////////////////////
//===========================================================
// vscpu_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function serverloads_theme(){

global $theme, $globals, $cluster, $user, $l, $vpsusage, $available, $vpses;

softheader($l['<title>']);

echo page_header($l['heading'], 'far fa-chart-bar');

$breadcrumbs = ['dashboard', 'lm_resources', 'lms_serverloads'];

echo get_breadcrumb($breadcrumbs);

echo '<div class="card p-2 mx-3">';
	
// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status] ,"1");
	echo '<div class="e_notice"><b>NOTE : </b>&nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

	if(count($vpses) < 1){
		show_alert($l['done'] ,"2");
		echo '<div class="notice"><b>NOTE : </b>&nbsp; '.$l['done'].'</div>';
		
	}else{
	
	foreach($vpsusage as $k => $v){
		$data[1][$k] = $v[1];
		$data[5][$k] = $v[5];
		$data[15][$k] = $v[15];
	}
	$keys = json_encode(array_keys($vpsusage));
	$vpsusage2 = json_encode($vpsusage);

	echo '
	<div class="w-100 mx-auto">
		<div id="canvas" justify-content: center"></div>
	</div>	

	<script type="text/javascript" charset="utf-8">
		
	$(function () {		

		// Function to transform and transpose data into the required format
		function transformAndTransposeData(data) {
			const names = []; // Array to store names
			const seriesData = []; // Array to store data arrays

			// Iterate over the keys in the data object and populate names and seriesData
			Object.keys(data).forEach(key => {
				names.push("VID "+key); // Add the key to the names array
				seriesData.push(Object.values(data[key])); // Add the values to the seriesData array
			});

			// Function to transpose the matrix
			function transpose(matrix) {
				let result = [];
				for (let col = 0; col < matrix[0].length; col++) {
					let newRow = [];
					for (let row = 0; row < matrix.length; row++) {
						newRow.push(matrix[row][col]);
					}
					result.push(newRow);
				}
				return result;
			}

			// Transpose the seriesData
			const transposedData = transpose(seriesData);

			// Return both names and the transposed data
			return {
				names: names,
				data: transposedData
			};
		}

		var data =  JSON.parse(\''.$vpsusage2.'\');
		var yvalues	 = JSON.parse(\''.$keys.'\');
		
		var min = ["1min", "5min", "15min"];
		var transformedData = transformAndTransposeData(data);
		transformedData.min = min;
		
		var options = {
				series: transformedData.min.map((min, index) => ({
				name: min,
				data: transformedData.data[index]
			})),
			chart: {
				type: "bar",
				width: "100%",
				height: 450,
				toolbar: {
					show: false
				}
			},
			plotOptions: {
				bar: {
					horizontal: false,
					columnWidth: "100%",
				},
			},
			dataLabels: {
				enabled: false
			},
			stroke: {
				show: true,
				width: 0,
				colors: ["transparent"]
			},
			xaxis:{
				categories: transformedData.names,
				labels: {
					style: {
						colors: "#737373"
					}
				}
			},
			yaxis: {
				tickAmount: 8,
				labels: {
					style: {
						colors: "#737373"
					}
				}
			},
			fill: {
				opacity: 1
			},
			tooltip: {
				y: {
					formatter: function (val) {
						return val.toFixed(3)
					}
				}
			},
			colors: ["#FF5733", "#00BFFF", "#FFA500"],
			legend: {
				position: "top",
				horizontalAlign: "right",
				offsetY: -15,
				markers: {
					width: 30,
					height: 30,
					radius: 0
				},
				labels: {
					colors: "#737373"
				}
			}
		};

		var chart = new ApexCharts(document.querySelector("#canvas"), options);
		chart.render();

	});

	$(document).ready(function(){
		
		$(".altrowstable tr").mouseover(function(){
			var old_class = $(this).attr("class");
			//alert(old_class);
			$(this).attr("class", "tr_bgcolor");
			
			$(this).mouseout(function(){
				$(this).attr("class", old_class);
			});
		});
		
	});
		
	</script>	
	
	<div class="w-100 mx-auto sticky">
	'.get_num_records(count($vpses)).'
	<table class="table table-hover tablesorter">
	<tr>
		<th align="center">'.$l['vpsid'].'</th>
		<th align="center">'.$l['vpsname'].'</th>
		<th align="center">'.$l['hostname'].'</th>
		<th align="center">'.$l['1min'].' </th>
		<th align="center">'.$l['5min'].' </th>
		<th align="center">'.$l['15min'].' </th>
	</tr>';

	$i = 1;
	
	foreach($vpses as $k => $v){
		
		echo '<tr>
			<td align="center">'.$v['vpsid'].'</td>
			<td align="center">'.$v['vps_name'].'</td>
			<td>'.$v['hostname'].'</td>
			<td align="center">'.$vpsusage[$k][1].'</td>
			<td align="center">'.$vpsusage[$k][5].'</td>
			<td align="center">'.$vpsusage[$k][15].'</td>
		</tr>';
	
		$i++;
	}
		
	echo '</table></div>';
	
	}

}

echo '</div>';
softfooter();

}

?>
